//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

#include "Control.h"

namespace VectorWorks
{
	namespace VWUI
	{
		class VWRadioButtonCtrl : public VWControl
		{
		public:
							VWRadioButtonCtrl(TControlID id);
			virtual			~VWRadioButtonCtrl();

			virtual bool	CreateControl(VWDialog* pDlg, const TXString& text);

		// attributes
		public:
			bool		GetState() const;
			void		SetState(bool state);

		};
	}
}